import java.io.IOException;
import java.nio.file.Files;
import java.nio.file.Paths;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

public class Main {

    public static void main(String[] args) {
        try {

            List<String> firstNameList = new ArrayList<>();
            List<List<String>> hobbies = new ArrayList<>();
            List<List<String>> skills = new ArrayList<>();
            List<Integer> promotions = new ArrayList<>();

            List<String> employeeData = Files.readAllLines(Paths.get("employees.txt"));

            for (int i = 0; i < employeeData.size(); i++) {
                if (i%6 == 0) {
                    firstNameList.add(employeeData.get(i).replace("First name:", ""));
                }
                if (i%6 == 3) {
                    hobbies.add(Arrays.asList(employeeData.get(i)
                                              .replace("Hobbies:", "")
                                              .replace("'", "")
                                              .split(", ")));
                }
                if (i%6 == 4) {
                    skills.add(Arrays.asList(employeeData.get(i)
                            .replace("Skills:", "")
                            .replace("'", "")
                            .split(", ")));
                }
                if (i%6 == 5) {
                    promotions.add(Integer.parseInt(employeeData.get(i).replace("Promotions:", "")));
                }
            }

            List<String> promotedEmployees = new ArrayList<>();

            for (int i = 0; i < promotions.size(); i++) {
                if (promotions.get(i) > 0) {
                    promotedEmployees.add(firstNameList.get(i));
                }
            }

            System.out.println(promotedEmployees);
            System.out.println(promotedEmployees.size());

        } catch (IOException e) {
            e.printStackTrace();
        }
    }
}
